import {
  select,
  json,
  tsv,
  zoom,
  event
} from 'd3';
import { feature } from 'topojson';

export const map = (selection, props) => {

  const {
  	updateTextLabel,
    setOnClick,
    countryName,
    topoJSONdata,
    pathGenerator,
    selectedCountry
  } = props;

  const countries = feature(topoJSONdata, topoJSONdata.objects.countries);
  const countriesPath = selection.selectAll('path').data(countries.features);
    countriesPath
      .enter().append('path')
      	.attr('class', 'country')
      	.attr('d', pathGenerator)
  	  .merge(selection.selectAll('.country'))
  		.style('fill', d =>
          d.id === selectedCountry
            ? 'red'
            : 'lightgreen'
        )
      	.on('click', d => setOnClick(d))
  	  	.on('mouseover', d => updateTextLabel(d.id))
      .append('title')
      	.text(d => countryName[d.id]);
};
